Bug 11770 - TCP Connections are not reset during IP failover
TCP Connections are not reset during IP failover
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.3.x
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 03:09 UTC by Amitay Isaacs
Modified: 2016-08-05 07:50 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v4-4 and v4-3 branches (2.38 KB, patch)
2016-03-05 03:19 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2016-03-03 03:09:55 UTC
Recent changes in the code for BZ 11705 breaks sockets using AF_PACKET.  

From the manpage of packet(7),  

                                                 protocol is the  IEEE  802.3
       protocol  number  in  network  byte  order.  See the <linux/if_ether.h>
       include file for a list of allowed protocols.  When protocol is set  to
       htons(ETH_P_ALL),  then all protocols are received. 

The specified "protocol" to socket(AF_PACKET, ...) call affects the behavior only for receiving packets.  You can still send raw packets irrespective of the protocol specified.
Comment 1 Amitay Isaacs 2016-03-05 03:19:43 UTC
Created attachment 11900 [details]
Patch for v4-4 and v4-3 branches
Comment 2 Martin Schwenke 2016-03-07 05:21:00 UTC
Hi Karolin,

This one is for 4.3 and 4.4 branches.

Thanks...
Comment 3 Karolin Seeger 2016-03-14 08:54:30 UTC
(In reply to Martin Schwenke from comment #2)
Pushed to autobuild-v4-[4|3]-test.
Comment 4 Karolin Seeger 2016-03-21 11:37:31 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 5 Karolin Seeger 2016-08-02 11:16:35 UTC
(In reply to Karolin Seeger from comment #4)
This one was somehow not pushed to v4-3-test.
Pushed to autobuild-v4-3-test now.
Thanks to metze for pointing this out!
Comment 6 Stefan Metzmacher 2016-08-02 11:46:06 UTC
(In reply to Karolin Seeger from comment #5)

Thanks! So this will be part of 4.3.12 even if it's a security release...
Comment 7 Karolin Seeger 2016-08-05 07:50:21 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-3-test.
Closing out bug report.

Thanks!